org.apache.ignite.internal.client.thin

## Class ClientUtils

- java.lang.Object
- - org.apache.ignite.internal.client.thin.ClientUtils

    public final class ClientUtils
    extends Object

Shared serialization/deserialization utils.

### Method Summary

All Methods Static Methods Concrete Methods
`static <E> void` `collection(Collection<E> col, BinaryOutputStream out, BiConsumer<BinaryOutputStream,E> elemWriter)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### collection

    public static <E> void collection(Collection<E> col,
                                      BinaryOutputStream out,
                                      BiConsumer<BinaryOutputStream,E> elemWriter)

Parameters:
  `col` - Collection to serialize.
  `out` - Output stream.
  `elemWriter` - Collection element serializer

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022